#include <stdio.h>
#include <port_io.h>

#include <drivers/ps2_keyboard.h>


/*
  PS/2 Controller IO Ports

  The PS/2 Controller itself uses 2 IO ports (IO ports 0x60 and 0x64). Like many IO ports, reads and writes may access different internal registers.

  Historical note: The PC-XT PPI had used port 0x61 to reset the keyboard interrupt request signal (among other unrelated functions). Port 0x61 has no keyboard related functions on AT and PS/2 compatibles.
  IO Port  Access Type  Purpose
  0x60 	 Read/Write   Data Port
  0x64 	 Read 	     Status Register
  0x64 	 Write 	     Command Register
*/

void keyboard_init(void)
{
  
}
